package com.kmall.manager.service;


import com.kmall.manager.entity.CusPayDataOpenEntity;

import java.util.List;
import java.util.Map;

/**
 * Service接口
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-12-28 11:17:08
 */
public interface CusPayDataOpenService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    CusPayDataOpenEntity queryObject(Long id);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<CusPayDataOpenEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param cusPayDataOpen 实体
     * @return 保存条数
     */
    int save(CusPayDataOpenEntity cusPayDataOpen);

    /**
     * 根据主键更新实体
     *
     * @param cusPayDataOpen 实体
     * @return 更新条数
     */
    int update(CusPayDataOpenEntity cusPayDataOpen);

    /**
     * 根据主键删除
     *
     * @param id
     * @return 删除条数
     */
    int delete(Long id);

    /**
     * 根据主键批量删除
     *
     * @param ids
     * @return 删除条数
     */
    int deleteBatch(Long[] ids);

    CusPayDataOpenEntity queryObjectByOrderNo(String orderNo);
}
